package com.ruoyi.system.domain.projectV2.common;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 短信日志对象 send_sms
 * 
 * @author ruoyi
 * @date 2023-02-24
 */
public class SendSms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 接收人姓名  */
    @Excel(name = "接收人姓名")
    private String name;

    /** 发送的手机号 */
    @Excel(name = "发送的手机号")
    private String phone;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 发送内容 */
    @Excel(name = "发送内容")
    private String content;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String modifyDate;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setModifyDate(String modifyDate) 
    {
        this.modifyDate = modifyDate;
    }

    public String getModifyDate() 
    {
        return modifyDate;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("status", getStatus())
            .append("content", getContent())
            .append("modifyDate", getModifyDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
